import 'package:flutter_test/flutter_test.dart';
import 'package:projectbasesnow/projectbasesnow.dart';
import 'package:mobx/mobx.dart';
import 'package:example_clean_complete/data/remote/dio_client.dart';
import 'package:example_clean_complete/app_flavor_values.dart';

void main() {
  DioClient dio;

  setUp(() {
    FlavorConfig(
      flavor: Flavor.production,
      values: AppFlavorValues(
        baseUrl: "",
        features: null,
      ),
    );
    dio = DioClient();
  });

  test('Dio client test', () async {
    final resObservable = dio.get("wrongPath").asObservable();
    expect(resObservable, isNotNull);
    expect(resObservable.status, FutureStatus.pending);
    final res = await resObservable.catchError((e) {});
    expect(resObservable.status, FutureStatus.rejected);
    expect(res, isNull);
  });
}
