part of './create_mvc_modular.dart';

Future<void> _createPagesFiles(String package, bool complete) async {
  await Generate.module('modules/home', true, false);
  if (complete) {
    createStaticFile(
      libPath('modules/splash/splash_page.dart'),
      templates.splashPageModular(package),
    );

    // ** login
    createStaticFile(
      libPath('modules/login/login_module.dart'),
      templates.loginModule(),
    );
    createStaticFile(
      libPath('modules/login/pages/login/login_page.dart'),
      templates.loginPage(package, Architecture.mvcModular),
    );
    createStaticFile(
      libPath('modules/login/pages/login/login_controller.dart'),
      templates.loginControllerModular(package),
    );

    // i18n
    createStaticFile(
      libPath('i18n/login_i18n.dart'),
      templates.loginI18n(),
    );

    // widget
    createStaticFile(
      libPath('shared/widgets/email_text_field/email_text_field_widget.dart'),
      templates.emailTextFieldWidget(),
    );
    createStaticFile(
      libPath(
          'shared/widgets/password_text_field/password_text_field_widget.dart'),
      templates.passwordTextFieldWidget(),
    );

    // ** register
    createStaticFile(
      libPath('modules/login/pages/register/register_page.dart'),
      templates.registerPage(package, Architecture.mvcModular),
    );
    createStaticFile(
      libPath('modules/login/pages/register/register_controller.dart'),
      templates.registerControllerModular(package),
    );
  }
}
