part of './start.dart';

Future<void> _installPackages(String directory, bool completeStart,
    Architecture architecture, String workingDirectory) async {
  await removeAllPackages(directory);

  switch (architecture) {
    case Architecture.cleanArchitecture:
      output.msg("Instaling Clean architecture...");

      await install(["injectable_generator"], true, directory: directory);
      await install(["get_it", "injectable"], false, directory: directory);

      if (completeStart) {
        await changeMinSdkVersionBuildGradle(
            workingDirectory, "18"); //  -- flutter_secure_storage needs it
        await install(
          ['flutter_secure_storage', 'firebase_auth', 'firebase_analytics'],
          false,
          directory: directory,
        );
      }
      break;
    case Architecture.mvcModular:
      output.msg("Instaling Modular...");

      break;
  }

  await install(['mockito', "mobx_codegen", "build_runner"], true,
      directory: directory);
  await install(
    [
      'projectbasesnow: git: https://gitlab.com/snowman-labs/flutter-devs/project_base_snow.git'
    ],
    false,
    haveTwoLines: true,
    directory: directory,
  );
  await install(
    [
      'i18n_extension',
      "path_provider",
      "flutter_modular",
      "dio",
    ],
    false,
    directory: directory,
  );
}
