String startMainQaClean(String pkg, String pathToAppModule) => '''
import 'package:flutter_modular/flutter_modular.dart';
import 'package:projectbasesnow/projectbasesnow.dart';
import 'package:$pkg/data/constants/constants.dart';
import 'package:$pkg/data/helpers/error_mapper.dart';

import '$pathToAppModule/app_module.dart';
import 'app_flavor_values.dart';
import 'di/di.dart';

void main() {
  RunAppSnow(
    ModularApp(
      module: AppModule(),
    ),
    flavorValues: Constants.flavorQa,
    getItInit: () {
      Resource.setErrorMapper(ErrorMapper.from);
      configureInjection(qa.name);
    },
    flavor: Flavor.qa,
  );
}
  ''';

String startMainQaModular(String pkg, String pathToAppModule) => '''
import 'package:flutter_modular/flutter_modular.dart';
import 'package:projectbasesnow/projectbasesnow.dart';

import 'package:$pkg/$pathToAppModule/app_module.dart';
import 'app_flavor_values.dart';

void main() {
  RunAppSnow(
    ModularApp(
      module: AppModule(),
    ),
    flavorValues: AppFlavorValues(
      baseUrl: 'https://jsonplaceholder.typicode.com',
    ),
    flavor: Flavor.qa,
  );
}
  ''';
