String emailTextFieldWidget() => '''
import 'package:flutter/material.dart';

class EmailTextFieldWidget extends StatelessWidget {
  final TextEditingController controller;
  final void Function(String) onSaved;
  final String Function(String) validator;
  final String validationError;
  final String label;

  const EmailTextFieldWidget(
      {Key key, this.controller, this.onSaved, this.validator, this.validationError, this.label})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return TextFormField(
      controller: controller,
      onSaved: onSaved,
      validator: validator ??
          (value) {
            if (value.isNotEmpty &&
                value.contains("@") &&
                value.contains(".")) {
              return null;
            }
            return validationError;
          },
      decoration: InputDecoration(labelText: label),
    );
  }
}
''';
