String passwordTextFieldWidget() => '''
import 'package:flutter/material.dart';

class PasswordTextFieldWidget extends StatefulWidget {
  final TextEditingController controller;
  final void Function(String) onSaved;
  final String Function(String) validator;
  final String validationError;
  final String label;

  PasswordTextFieldWidget(
      {Key key, this.controller, this.onSaved, this.validator, this.validationError, this.label})
      : super(key: key);

  @override
  _PasswordTextFieldWidgetState createState() =>
      _PasswordTextFieldWidgetState();
}

class _PasswordTextFieldWidgetState extends State<PasswordTextFieldWidget> {
  bool obscure = true;

  @override
  Widget build(BuildContext context) {
    return TextFormField(
      obscureText: obscure,
      controller: widget.controller,
      onSaved: widget.onSaved,
      validator: widget.validator ??
          (value) {
            if (value.isNotEmpty && value.length >= 6) {
              return null;
            }
            return widget.validationError;
          },
      decoration: InputDecoration(
        labelText: widget.label,
        suffixIcon: IconButton(
          icon: Icon(obscure ? Icons.visibility_off : Icons.visibility),
          onPressed: () {
            setState(() {
              obscure = !obscure;
            });
          },
        ),
      ),
    );
  }
}
''';
